import {Component, Input} from '@angular/core';
import {DataCardService} from '../api/data-card.service';

@Component({
  selector: 'app-info-box',
  templateUrl: './info-box.component.html',
  styleUrls: ['./info-box.component.scss']
})
export class InfoBoxComponent {
  @Input() editLink: string | undefined;
  @Input() params: { [key: string]: any} | undefined;

  constructor(
    public dataCardService: DataCardService
  ) {}
}
