import { TestBed } from '@angular/core/testing';

import { ClinicalObservationsService } from './clinical-observations.service';
import {of} from 'rxjs';
import {ObservationService} from '../../api/observation.service';
import {DataCardService} from '../../api/data-card.service';

describe('ClinicalObservationsServiceService', () => {
  let service: ClinicalObservationsService;

  beforeEach(() => {
    TestBed.configureTestingModule({
      providers: [
        {provide: DataCardService, useValue: {}},
        {provide: ObservationService, useValue: {getClinicalObservationTable: () => of({})}}
      ]
    });
    service = TestBed.inject(ClinicalObservationsService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
