import {Component, Input, OnInit} from '@angular/core';
import {ObservationTableFetuses} from '@nspop/gm-web-facade-api';

@Component({
  selector: 'app-fetus-table',
  templateUrl: './fetus-table.component.html',
  styleUrls: ['./fetus-table.component.scss', './../tables.scss']
})
export class FetusTableComponent implements OnInit {
  @Input() public showActivityModal: {isOpen: boolean; activityId?: string; observationType?: 'regular' | 'ultrasound'} | undefined;
  @Input() fetus: ObservationTableFetuses | undefined;

  constructor() { }

  ngOnInit(): void {
  }

  public showActivity(activityId: string): void {
    if (this.showActivityModal) {
      this.showActivityModal.activityId = activityId;
      this.showActivityModal.isOpen = true;
      this.showActivityModal.observationType = 'regular';
    }
  }
}
