import { CalculateAgePipe } from './calculate-age.pipe';
import MockDate from 'mockdate';

describe('CalculateAgePipe', () => {
  it('create an instance', () => {
    const pipe = new CalculateAgePipe();
    expect(pipe).toBeTruthy();
  });
  describe('age calculations', () => {
    const pipe = new CalculateAgePipe();
    beforeEach(() => {
      MockDate.set('2021-05-04');
    });

    it('should correctly calculate tha patients age', () => {
      let age = pipe.calculateAge('100687-2133');
      expect(age).toEqual('33 år');

      age = pipe.calculateAge('010101-0401');
      expect(age).toEqual('120 år');

      age = pipe.calculateAge('190919-6428');
      expect(age).toEqual('1 år');
    });
  });

});
