import {Component, Input, OnInit} from '@angular/core';

@Component({
  selector: 'app-feedback-button',
  templateUrl: './feedback-button.component.html',
  styleUrls: ['./feedback-button.component.scss']
})
export class FeedbackButtonComponent implements OnInit{
  @Input() title = '';

  constructor() { }

  ngOnInit(): void {
    if (!this.title) {
      throw new Error('Please provide a title for the feedback button!');
    }
  }

}
