import { ComponentFixture, TestBed } from '@angular/core/testing';

import { FetusTableComponent } from './fetus-table.component';

describe('FetusTableComponent', () => {
  let component: FetusTableComponent;
  let fixture: ComponentFixture<FetusTableComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ FetusTableComponent ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(FetusTableComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('sets showActivityModalProperties', () => {
    component.showActivityModal = { activityId: undefined, isOpen: false, observationType: undefined};

    component.showActivity('12345');

    expect(component.showActivityModal).toEqual({ activityId: '12345', isOpen: true, observationType: 'regular'});
  });
});
