import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'activityStatus'
})
export class ActivityStatusPipe implements PipeTransform {
  transform(value: string, ...args: unknown[]): string {
    switch (value) {
      case 'expected': return 'Forventet';
      case 'planned': return 'Planlagt';
      case 'finished': return 'Afsluttet';
      case 'cancelled': return 'Aflyst';
      default: return '';
    }
  }
}
