import {ComponentFixture, TestBed} from '@angular/core/testing';

import {DialogComponent} from './dialog.component';
import {MAT_DIALOG_DATA} from '@angular/material/dialog';
import {MatIconTestingModule} from '@angular/material/icon/testing';
import {AngularMaterialModule} from '../../modules/angular-material.module';
import {AppModule} from '../../app.module';

describe('DialogComponent', () => {
  let component: DialogComponent;
  let fixture: ComponentFixture<DialogComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ DialogComponent ],
      imports: [AngularMaterialModule, AppModule, MatIconTestingModule],
      providers: [{provide: MAT_DIALOG_DATA, useValue: [] }]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(DialogComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
