import {ComponentFixture, TestBed} from '@angular/core/testing';

import {SwitchEncounterComponent} from './switch-encounter.component';
import {DataCardService} from '../api/data-card.service';
import {createDataCardServiceSpy} from '../api/data-card.service.spec';
import SpyObj = jasmine.SpyObj;

describe('SwitchEncounterComponent', () => {
  let component: SwitchEncounterComponent;
  let fixture: ComponentFixture<SwitchEncounterComponent>;

  let dataCardServiceStub: SpyObj<DataCardService>;

  beforeEach(async () => {
    dataCardServiceStub = createDataCardServiceSpy();

    await TestBed.configureTestingModule({
      declarations: [SwitchEncounterComponent],
      providers: [{provide: DataCardService, useValue: dataCardServiceStub}]
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SwitchEncounterComponent);
    component = fixture.componentInstance;
  });

  it('should create', () => {
    fixture.detectChanges();
    expect(component).toBeTruthy();
  });
});
