/**
 * Application url string literals
 */
import {environment} from '../environments/environment';

export const appUrls = {
  activities: 'forløbsplan',
  base: '**',
  cprDoesNotExist: 'cpr-findes-ikke',
  logout: 'logout',
  measurements: 'undersøgelser-og-målinger',
  noActivePathway: 'intet-aktivt-forløb',
  noPatientChosen: 'ingen-patient-valgt',
  pregnancy: 'svangerskab',
  patientInformation: 'patientoplysninger',
  privatelyMarked: 'privatmarkerede-oplysninger',
  somethingWentWrong: 'der-skete-en-fejl',
  triageOverview: 'overblik-til-visitation',
};

export const apiBase = environment.base_path + '/api/maternity/v1';
